JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom.util
Interface GeometryEditor.GeometryEditorOperation

All Known Implementing Classes:
  GeometryEditor.CoordinateOperation, GeometryEditor.CoordinateSequenceOperation, GeometryEditor.NoOpGeometryOperation, PrecisionReducerCoordinateOperation

Enclosing class:
  GeometryEditor

    public static interface GeometryEditor.GeometryEditorOperation

A interface which specifies an edit operation for Geometries.

Version:
  1.7

Method Summary
`Geometry` `edit(Geometry geometry, GeometryFactory factory)` Edits a Geometry by returning a new Geometry with a modification.

Method Detail

### edit

    Geometry edit(Geometry geometry,
                  GeometryFactory factory)

  Edits a Geometry by returning a new Geometry with a modification. The returned Geometry might be the same as the Geometry passed in.

  Parameters:
    `geometry` - the Geometry to modify
    `factory` - the factory with which to construct the modified Geometry (may be different to the factory of the input geometry)
  Returns:
    a new Geometry which is a modification of the input Geometry

JTS Topology Suite version 1.13